Search documentation of bb

# BB.Urdf.Exporter (bb v0.8.0)

View Source

Export a BB robot definition to URDF XML format.

# Summary

## Functions

export(robot_module)

Export a robot module to URDF XML string.

export_robot(robot)

Export a Robot struct to URDF XML string.

# Functions

# export(robot_module)

    @spec export(module()) :: {:ok, String.t()} | {:error, term()}

Export a robot module to URDF XML string.

The module must use `BB` and have a `robot/0` function.

# export_robot(robot)

    @spec export_robot(BB.Robot.t()) :: {:ok, String.t()}

Export a Robot struct to URDF XML string.